precision mediump float;

varying vec2 v_TexPosition;
varying vec4 v_Color;
uniform sampler2D u_Texture2D;

void main() {
	vec4 color = texture2D(u_Texture2D, v_TexPosition);
    gl_FragColor =  vec4(v_Color.rgb, color.a * v_Color.a);
}