precision highp float;

attribute vec2 a_Position;
attribute vec2 a_TexPosition;

varying vec2 v_TexPosition;
varying vec2 v_FragmentPosition;

uniform mat3 u_Matrix;

void main() {
	v_TexPosition = a_TexPosition;
	v_FragmentPosition = a_Position;
	gl_Position = vec4(u_Matrix * vec3(a_Position, 1.0), 1.0);
}