precision highp float;

uniform sampler2D u_SrcTexture;
uniform vec2 u_WindowSize;

varying vec2 v_Flow;

void main() {
	vec4 color1 = texture2D(u_SrcTexture, (gl_FragCoord.xy + v_Flow) / u_WindowSize);
	vec4 color2 = texture2D(u_SrcTexture, gl_FragCoord.xy / u_WindowSize);

    gl_FragColor = mix(color1, color2, 0.0);
}