precision highp float;

uniform mat3 u_Matrix;

attribute vec2 a_Position;
attribute vec2 a_Flow;

varying vec2 v_Flow;

void main() {
	v_Flow = a_Flow;

	gl_Position = vec4(u_Matrix * vec3(a_Position, 1.0), 1.0);
}