attribute vec2 a_Position;
attribute vec2 a_TexPosition;
attribute vec4 a_Color;
varying vec4 v_Color;
varying vec2 v_TexPosition;
uniform mat3 u_Matrix;

void main() {
	v_Color = a_Color;
    v_Color.a = v_Color.a * (255.0 / 254.0);

	v_TexPosition = a_TexPosition;
	gl_Position = vec4(u_Matrix * vec3(a_Position, 1.0), 1.0);
}